Subject: Re: bug#23276: 25.0.92; Crash in auto-revert when file no longer present

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2016 05:39:36 +0300

> From: John Wiegley <[email-masked]>
> Cc: Michael Albinus <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sat, 16 Apr 2016 18:54:17 -0700
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> 
> > And I still am not convinced that deleting a file under auto-revert
> > shouldn't erase its buffer. Otherwise, it sounds like just half-auto-revert
> > to me. Would we keep the buffer non-empty if the file existed but was empty?
> 
> I would not want it to erase the buffer. Countless have been the times that
> I've been working on a project, and an unbridled rm took away code from the
> disk which I was very grateful to find was still in a buffer.

How is it different from clobbering a file by making it empty?

Don't we have a variant of auto-revert that never shrinks the buffer?